"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.templateHelperRealpath = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
function templateHelperRealpath(filePath, basePath) {
    if (path_1.default.isAbsolute(filePath))
        return filePath;
    const base = typeof basePath === "string" ? basePath : process.env.PWD;
    if (!base)
        return filePath;
    return path_1.default.resolve(base, filePath);
}
exports.templateHelperRealpath = templateHelperRealpath;
